cascading.platform.hadoop2

## Class Hadoop2MR1Platform

- java.lang.Object
- - cascading.platform.TestPlatform
  - - cascading.platform.hadoop.BaseHadoopPlatform<JobConf>
    - - cascading.platform.hadoop2.Hadoop2MR1Platform

-     public class Hadoop2MR1Platform
      extends BaseHadoopPlatform<JobConf>

  Class Hadoop2Platform is automatically loaded and injected into a `PlatformTestCase` instance so that all *PlatformTest classes can be tested against Apache Hadoop 2.x.

- - ### Field Summary

    - ### Fields inherited from class cascading.platform.hadoop.BaseHadoopPlatform

      `configuration, fileSys, logger, properties`

    - ### Fields inherited from class cascading.platform.TestPlatform

      `CLUSTER_TESTING_PROPERTY, numGatherPartitions, numMappers, numReducers, PLATFORM_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Hadoop2MR1Platform()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JobConf` | `getConfiguration()`
    `FlowConnector` | `getFlowConnector(java.util.Map<java.lang.Object,java.lang.Object> properties)`
    `FlowProcess` | `getFlowProcess()`
    `java.lang.String` | `getName()`
    `java.lang.Integer` | `getNumMapTasks(java.util.Map<java.lang.Object,java.lang.Object> properties)`
    `java.lang.Integer` | `getNumReduceTasks(java.util.Map<java.lang.Object,java.lang.Object> properties)`
    `void` | `setNumMapTasks(java.util.Map<java.lang.Object,java.lang.Object> properties, int numMapTasks)`
    `void` | `setNumReduceTasks(java.util.Map<java.lang.Object,java.lang.Object> properties, int numReduceTasks)`
    `void` | `setUp()`

    - ### Methods inherited from class cascading.platform.hadoop.BaseHadoopPlatform

      `copyFromLocal, copyToLocal, getDelimitedFile, getDelimitedFile, getDelimitedFile, getHiddenTemporaryPath, getLongComparator, getPartitionTap, getProperties, getStringComparator, getTap, getTestConfigDefScheme, getTestFailScheme, getTextFile, isHDFSAvailable, isMapReduce, remoteExists, remoteRemove, safeFileName, setNumGatherPartitions, setNumMappers, setNumReducers, tearDown`

    - ### Methods inherited from class cascading.platform.TestPlatform

      `getApplicationJar, getDelimitedFile, getDelimitedFile, getDelimitedFile, getDelimitedFile, getDelimitedFile, getFlowConnector, getGlobalProperties, getNumGatherPartitions, getNumGatherPartitionTasks, getNumMappers, getNumReducers, getTabDelimitedFile, getTabDelimitedFile, getTextFile, getTextFile, getTextFile, getTextFile, isDAG, isUseCluster, setNumGatherPartitionTasks, setUseCluster, supportsGroupByAfterMerge`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Hadoop2MR1Platform

          public Hadoop2MR1Platform()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Overrides:
        `getName` in class `cascading.platform.TestPlatform`

    - #### getFlowConnector

          public FlowConnector getFlowConnector(java.util.Map<java.lang.Object,java.lang.Object> properties)

      Specified by:
        `getFlowConnector` in class `cascading.platform.TestPlatform`

    - #### setNumMapTasks

          public void setNumMapTasks(java.util.Map<java.lang.Object,java.lang.Object> properties,
                            int numMapTasks)

      Overrides:
        `setNumMapTasks` in class `cascading.platform.TestPlatform`

    - #### setNumReduceTasks

          public void setNumReduceTasks(java.util.Map<java.lang.Object,java.lang.Object> properties,
                               int numReduceTasks)

      Overrides:
        `setNumReduceTasks` in class `cascading.platform.TestPlatform`

    - #### getNumMapTasks

          public java.lang.Integer getNumMapTasks(java.util.Map<java.lang.Object,java.lang.Object> properties)

      Overrides:
        `getNumMapTasks` in class `cascading.platform.TestPlatform`

    - #### getNumReduceTasks

          public java.lang.Integer getNumReduceTasks(java.util.Map<java.lang.Object,java.lang.Object> properties)

      Overrides:
        `getNumReduceTasks` in class `cascading.platform.TestPlatform`

    - #### getConfiguration

          public JobConf getConfiguration()

      Specified by:
        `getConfiguration` in class `BaseHadoopPlatform<JobConf>`

    - #### getFlowProcess

          public FlowProcess getFlowProcess()

      Specified by:
        `getFlowProcess` in class `cascading.platform.TestPlatform`

    - #### setUp

          public void setUp()
                     throws java.io.IOException

      Specified by:
        `setUp` in class `cascading.platform.TestPlatform`
      Throws:
        `java.io.IOException`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.